
## Description

This mod is an extension of BoneAppetit, includes new plants for harvesting and new foods. Balance some BoneAppetit foods according to the H&H update and update your recipes with new items

**Discord**: https://discord.gg/JyWawnNDMv

## Installation:

Place the dll in the plugins

The folder *Translations* must be inside the plugins folder along with the dll

This mod is routinely tested on a dedicated server with a great many other mods. To ensure your plants don't disappear, and that food doesn't turn to dust, please put this on the dedicated server as well as ALL clients.
> For plants to grow on the map it is necessary to have the mod installed before generating the world.

You can use the mod [Upgrade World](https://valheim.thunderstore.io/package/JereKuusela/Upgrade_World/) to reset zones in a existing world, using the command *zones_reset* to add all new plants to the world.
 
**Note**: this mod requires BoneAppetit, JVL (Jotunn the Valheim Lib), it will not work without it.

**Note**: for now the raised beds do not support the mass plant from Farming mod, don't forget to press the key that disables mass planting before planting in the raised bed

##### Compatible related mods:
  - FarmGrid
  - PlantEverything
  - Farming
  - OdinsQOL

*if you use any farming mod and something in valharvest doesn't work as expected, contact me via discord and I'll try my best to make the mod compatible with it :)*

## Foods
https://valharvest.frenvius.com/foods
##### - Soon more foods

## Translations
Now you can submit the mod translation in your language at the link below

https://valharvest.frenvius.com/translate

## Plants
| Plant | Drops From |
|--|--|
| Spicy Pepper | Greydwarf  |
| Garlic | Troll  |
| Rice| Goblin |
| Tomato | Draugr |
| Potato | Greydwarf |
| Pumpkin | Draugr Elite |

## Changelog:

- 1.0.0 - Release includes 2 new food items, 3 new plants and some updated recipes for H&H update.
- 1.1.0 - Added rice based foods.
- 1.1.1 - Fixed rice icon on cultivator.
- 1.1.2 - Fixed some recipes from BoneAppetit.
    - Removed spam of logs on console
    - Added configurable option to change Kabob name to Kebab
- 1.2.0 - Added tomato plant, new foods ands ingredients.
    - Added Tomato
    - Added Tomato Plant
    - Added Rock Salt (you can drop rock salt mining rocks)
    - Added Raw Pasta
    - Added Spaghetti
    - Added Ramen
    - Added Egg and Sausage
    - Balanced some foods
- 1.2.1 - Fixed burrito recipe.
- 1.3.0 - Now you can milk a tamed Lox
    - Added Empty Bottle (needs crystal)
    - Added Milk Bottle
    - Added Cheese
    - Fixed some bugs
- 1.3.1 - Some fix on pizza and cheese
- 1.4.0 - More rice based foods and taco
    - Added Rice Bowl
    - Added Onigiri
    - Added Sushi
    - Added Taco
- 1.4.1 - Fixed spaghetti stats that was not configured correctly (sorry)
- 1.5.0 - Added two more plants
    - Added Pumpkin and its plant (Drops from Draugr Elite)
    - Added Potato and its plant (Drops from Greydwarf Brute)
    - Added Mashed Potato
    - Added Jack o' Pumpkin (Happy Halloween)
    - More balanced foods
- 1.5.1 - Fixed model of tomato and rework on lox milking
    - Fixed some conflit with taming mods and Chicken Boo
- 1.5.2 - Fixed Lox sounds on all tamed animals
- 1.6.1 - Added Raised bed and tomato box
- 1.6.2 - Fixed spicy pepper plant requirements to seeds
- 1.7.0 - Added more foods and small balances
    - Added Cheese Sandwich
    - Added Egg Fried Bread
    - Added Potato Slices
    - Added Boiled Potatoes
    - Added Tonkotsu Ramen
    - Added Spaghetti and Meatballs
- 1.7.1 - Fixed bug on growing plants
- 2.0.0 - Major update
    - Plants now grow on worldgen
    - Fixed Lox milking
    - Fixed pepper seeds
    - Added translations
    - Added more raised beds
    - Added more ingredient boxes
    - Added Water Well
    - Added Water Bucket (fertilizer)
    - Added Bone Meal (fertilizer)
    - Fixed items that didn't attach to item stand
    - Added Apple and Apple Tree
    - Added many new foods, find out :)
- 2.0.1 - Updated Water Well Recipe
- 2.1.0 - Some code improvements
    - Added plantable apple tree
    - Added plant grow progress
- 2.1.1 - Fix tomato appearance (previous tomatoes may be gone, sorry)
- 2.1.2 - Fixed egg and pizza icons
    - Fixed Bone Appetit foods errors in console
- 2.2.0 - Fixed some bugs and added new configs
    - Fixed conflict with V+, now you can use the raised bed
    - Fixed prefabs disappearing on world load
    - Added config to disable plant grow progress
    - Added FarmGrid and config to disable it
- 2.2.1 - Fixed pink assets on pickable
- 2.2.2 - Fixed lox milking
    - Added planting field
    - Added More Foods
    - Raised bed now can be placed inside a building
- 2.2.3 Fixed lox milking time
- 2.2.4 Fixed plant snapping on grid in planting field
- 2.2.5 Refactored code and fixed some bugs
  - New plant health check (may fix some conflicts with other mods)
  - Fixed Planting Field size
  - New translations
  - Planting field moved from cultivator to Hammer temporarily
- 3.0.0 Major Update
  - Planting field removed and a little rework on raised bed
  - Reduced mod size by half

> *sorry about the planting field, I feel the mod took a way out of focus, which would be new plants and food, so I'm removing that functionality and keeping only the bed raised with a little rework on it to reduce conflicts with other mods. If you were using it, sorry, you will lose the plants that were on it :(*

## To Do/Current Ideas
- ~~add new plants and new foods (like ~~tomato~~, ~~potato~~, ~~pumpkin~~~~, watermelon, etc) _maybe more fruit trees_
- ~~add new plants to grow in the world generation~~
- ~~localization~~